Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Interface IConsoleView

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

public interface IConsoleView
extends IViewPart

A view that displays consoles registered with the console manager.

Clients are not intended to implement this interface.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` | `display(IConsole console)` Displays the page for the given console in this console view.
`IConsole` | `getConsole()` Returns the console currently being displayed, or `null` if none
`boolean` | `isPinned()` Returns whether this console view is currently pinned to a specific console.
`void` | `pin(IConsole console)` Displays and pins the given console in this console view.
`void` | `warnOfContentChange(IConsole console)` Warns that the content of the given console has changed.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### display

    public void display(IConsole console)

  Displays the page for the given console in this console view. Has no effect if this console view has a pinned console.

  Parameters:
    `console` - console to display, cannot be `null`

### pin

    public void pin(IConsole console)

  Displays and pins the given console in this console view. No other console can be displayed until this console view is un-pinned. Specifying `null` un-pins this console

  Parameters:
    `console` - console to pin, or `null` to un-pin

### isPinned

    public boolean isPinned()

  Returns whether this console view is currently pinned to a specific console.

  Returns:
    whether this console view is currently pinned to a specific console

### getConsole

    public IConsole getConsole()

  Returns the console currently being displayed, or `null` if none

  Returns:
    the console currently being displayed, or `null` if none

### warnOfContentChange

    public void warnOfContentChange(IConsole console)

  Warns that the content of the given console has changed.

  Parameters:
    `console` - the console that has changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.